Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class DisjointMultiUnion

    java.lang.Object
      com.hp.hpl.jena.graph.impl.GraphBase
          com.hp.hpl.jena.graph.compose.CompositionBase
              com.hp.hpl.jena.graph.compose.Polyadic
                  com.hp.hpl.jena.graph.compose.MultiUnion
                      org.mindswap.pellet.jena.DisjointMultiUnion

All Implemented Interfaces:
  com.hp.hpl.jena.graph.Graph, com.hp.hpl.jena.graph.GraphAdd, com.hp.hpl.jena.graph.GraphListener, com.hp.hpl.jena.graph.impl.GraphWithPerform

    public class DisjointMultiUnion

extends com.hp.hpl.jena.graph.compose.MultiUnion
implements com.hp.hpl.jena.graph.GraphListener

An extension to MultiUnion graph that may return repeated triples from find function. When big composite graphs are being loaded to Pellet, filtering results to return unique triples is slowing things down whereas having triples repeated has less impact on the performance.

Author:
  Evren Sirin

Nested Class Summary

Nested classes/interfaces inherited from class com.hp.hpl.jena.graph.compose.MultiUnion
`com.hp.hpl.jena.graph.compose.MultiUnion.MultiUnionStatisticsHandler`

Field Summary

Fields inherited from interface com.hp.hpl.jena.graph.Graph
`emptyGraph`

Constructor Summary
`DisjointMultiUnion()`
`DisjointMultiUnion(boolean listenChanges, KnowledgeBase kb, OWLLoader loader)`
`DisjointMultiUnion(com.hp.hpl.jena.graph.Graph graph)`
`DisjointMultiUnion(com.hp.hpl.jena.graph.Graph graph, KnowledgeBase kb, OWLLoader loader)`

Method Summary
`void` | `addABoxChange(com.hp.hpl.jena.graph.Triple t)` Adds an ABox change to the KB
`void` | `addGraph(com.hp.hpl.jena.graph.Graph graph)`
`boolean` | `canUseIncAdd()` Checks flags for incremental adding to the KB
`com.hp.hpl.jena.util.iterator.ExtendedIterator` | `graphBaseFind(com.hp.hpl.jena.graph.TripleMatch t)`
`boolean` | `isABoxChange(com.hp.hpl.jena.graph.Graph graph)` Check if the iterator of triples are all ABox assertions Currently, only type assertions with atomic concepts are detected
`boolean` | `isABoxChange(java.util.Iterator triples)` Check if the iterator of triples are all ABox assertions Currently, only type assertions with atomic concepts are detected
`boolean` | `isABoxChange(java.util.List triples)` Check if the list of triples are all ABox assertions Currently, only type assertions with atomic concepts are detected
`boolean` | `isABoxChange(com.hp.hpl.jena.graph.Triple t)` Checks if the given triple is an ABox assertion.
`boolean` | `isABoxChange(com.hp.hpl.jena.graph.Triple[] triples)` Check if the array of triples are all ABox assertions Currently, only type assertions with atomic concepts are detected
`boolean` | `isEmpty()`
`boolean` | `isStatementDeleted()`
`DisjointMultiUnion` | `minus(DisjointMultiUnion other)`
`void` | `notifyAddArray(com.hp.hpl.jena.graph.Graph g, com.hp.hpl.jena.graph.Triple[] triples)`
`void` | `notifyAddGraph(com.hp.hpl.jena.graph.Graph g, com.hp.hpl.jena.graph.Graph added)`
`void` | `notifyAddIterator(com.hp.hpl.jena.graph.Graph g, java.util.Iterator it)`
`void` | `notifyAddList(com.hp.hpl.jena.graph.Graph g, java.util.List triples)`
`void` | `notifyAddTriple(com.hp.hpl.jena.graph.Graph g, com.hp.hpl.jena.graph.Triple t)`
`void` | `notifyDeleteArray(com.hp.hpl.jena.graph.Graph g, com.hp.hpl.jena.graph.Triple[] triples)`
`void` | `notifyDeleteGraph(com.hp.hpl.jena.graph.Graph g, com.hp.hpl.jena.graph.Graph removed)`
`void` | `notifyDeleteIterator(com.hp.hpl.jena.graph.Graph g, java.util.Iterator it)`
`void` | `notifyDeleteList(com.hp.hpl.jena.graph.Graph g, java.util.List L)`
`void` | `notifyDeleteTriple(com.hp.hpl.jena.graph.Graph g, com.hp.hpl.jena.graph.Triple t)`
`void` | `notifyEvent(com.hp.hpl.jena.graph.Graph source, java.lang.Object value)`
`void` | `releaseListeners()`
`void` | `resetChanged()`
`void` | `setLoader(OWLLoader loader)` Set the OWLLoader

Methods inherited from class com.hp.hpl.jena.graph.compose.MultiUnion
`getReifier, graphBaseContains, performAdd, performDelete, queryHandler`

Methods inherited from class com.hp.hpl.jena.graph.compose.Polyadic
`close, dependsOn, getBaseGraph, getBulkUpdateHandler, getCapabilities, getPrefixMapping, getRequiredBaseGraph, getSubGraphs, getTransactionHandler, removeGraph, setBaseGraph`

Methods inherited from class com.hp.hpl.jena.graph.compose.CompositionBase
`butNot, ifIn, ifIn, recording, reject, rejecting, rejecting`

Methods inherited from class com.hp.hpl.jena.graph.impl.GraphBase
`add, contains, contains, delete, find, find, forTestingOnly_graphBaseFind, getEventManager, getStatisticsHandler, isClosed, isIsomorphicWith, notifyAdd, notifyDelete, size, toString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisjointMultiUnion

    public DisjointMultiUnion()

### DisjointMultiUnion

    public DisjointMultiUnion(boolean listenChanges,
                              KnowledgeBase kb,
                              OWLLoader loader)

### DisjointMultiUnion

    public DisjointMultiUnion(com.hp.hpl.jena.graph.Graph graph)

### DisjointMultiUnion

    public DisjointMultiUnion(com.hp.hpl.jena.graph.Graph graph,
                              KnowledgeBase kb,
                              OWLLoader loader)

Method Detail

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `isEmpty` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### graphBaseFind

    public com.hp.hpl.jena.util.iterator.ExtendedIterator graphBaseFind(com.hp.hpl.jena.graph.TripleMatch t)

  Overrides:
    `graphBaseFind` in class `com.hp.hpl.jena.graph.compose.MultiUnion`

### addGraph

    public void addGraph(com.hp.hpl.jena.graph.Graph graph)

  Overrides:
    `addGraph` in class `com.hp.hpl.jena.graph.compose.MultiUnion`

### releaseListeners

    public void releaseListeners()

### notifyAddTriple

    public void notifyAddTriple(com.hp.hpl.jena.graph.Graph g,
                                com.hp.hpl.jena.graph.Triple t)

  Specified by:
    `notifyAddTriple` in interface `com.hp.hpl.jena.graph.GraphListener`

### notifyAddArray

    public void notifyAddArray(com.hp.hpl.jena.graph.Graph g,
                               com.hp.hpl.jena.graph.Triple[] triples)

  Specified by:
    `notifyAddArray` in interface `com.hp.hpl.jena.graph.GraphListener`

### notifyAddList

    public void notifyAddList(com.hp.hpl.jena.graph.Graph g,
                              java.util.List triples)

  Specified by:
    `notifyAddList` in interface `com.hp.hpl.jena.graph.GraphListener`

### notifyAddIterator

    public void notifyAddIterator(com.hp.hpl.jena.graph.Graph g,
                                  java.util.Iterator it)

  Specified by:
    `notifyAddIterator` in interface `com.hp.hpl.jena.graph.GraphListener`

### notifyAddGraph

    public void notifyAddGraph(com.hp.hpl.jena.graph.Graph g,
                               com.hp.hpl.jena.graph.Graph added)

  Specified by:
    `notifyAddGraph` in interface `com.hp.hpl.jena.graph.GraphListener`

### notifyDeleteTriple

    public void notifyDeleteTriple(com.hp.hpl.jena.graph.Graph g,
                                   com.hp.hpl.jena.graph.Triple t)

  Specified by:
    `notifyDeleteTriple` in interface `com.hp.hpl.jena.graph.GraphListener`

### notifyDeleteList

    public void notifyDeleteList(com.hp.hpl.jena.graph.Graph g,
                                 java.util.List L)

  Specified by:
    `notifyDeleteList` in interface `com.hp.hpl.jena.graph.GraphListener`

### notifyDeleteArray

    public void notifyDeleteArray(com.hp.hpl.jena.graph.Graph g,
                                  com.hp.hpl.jena.graph.Triple[] triples)

  Specified by:
    `notifyDeleteArray` in interface `com.hp.hpl.jena.graph.GraphListener`

### notifyDeleteIterator

    public void notifyDeleteIterator(com.hp.hpl.jena.graph.Graph g,
                                     java.util.Iterator it)

  Specified by:
    `notifyDeleteIterator` in interface `com.hp.hpl.jena.graph.GraphListener`

### notifyDeleteGraph

    public void notifyDeleteGraph(com.hp.hpl.jena.graph.Graph g,
                                  com.hp.hpl.jena.graph.Graph removed)

  Specified by:
    `notifyDeleteGraph` in interface `com.hp.hpl.jena.graph.GraphListener`

### notifyEvent

    public void notifyEvent(com.hp.hpl.jena.graph.Graph source,
                            java.lang.Object value)

  Specified by:
    `notifyEvent` in interface `com.hp.hpl.jena.graph.GraphListener`

### isStatementDeleted

    public boolean isStatementDeleted()

### resetChanged

    public void resetChanged()

### minus

    public DisjointMultiUnion minus(DisjointMultiUnion other)

### isABoxChange

    public boolean isABoxChange(com.hp.hpl.jena.graph.Triple t)

  Checks if the given triple is an ABox assertion. Currently, only type assertions with atomic concepts are detected and property assertions

  Parameters:
    `t` -
  Returns:

### isABoxChange

    public boolean isABoxChange(com.hp.hpl.jena.graph.Triple[] triples)

  Check if the array of triples are all ABox assertions Currently, only type assertions with atomic concepts are detected

  Parameters:
    `triples` -
  Returns:

### isABoxChange

    public boolean isABoxChange(java.util.List triples)

  Check if the list of triples are all ABox assertions Currently, only type assertions with atomic concepts are detected

  Parameters:
    `triples` -
  Returns:

### isABoxChange

    public boolean isABoxChange(java.util.Iterator triples)

  Check if the iterator of triples are all ABox assertions Currently, only type assertions with atomic concepts are detected

  Parameters:
    `triples` -
  Returns:

### isABoxChange

    public boolean isABoxChange(com.hp.hpl.jena.graph.Graph graph)

  Check if the iterator of triples are all ABox assertions Currently, only type assertions with atomic concepts are detected

  Parameters:
    `triples` -
  Returns:

### canUseIncAdd

    public boolean canUseIncAdd()

  Checks flags for incremental adding to the KB

  Returns:

### addABoxChange

    public void addABoxChange(com.hp.hpl.jena.graph.Triple t)

  Adds an ABox change to the KB

  Parameters:
    `t` -

### setLoader

    public void setLoader(OWLLoader loader)

  Set the OWLLoader

  Parameters:
    `loader` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.